package PerlCAD::Command;

###----------------------------------------------------------------###
#  Copyright 2003 - Paul Seamons                                     #
#  Distributed under the GNU General Public License without warranty #
###----------------------------------------------------------------###

use strict;
use Data::DumpEx;

###----------------------------------------------------------------###

register_action({
  name      => 'contexthelp',
  accel     => 'Shift+F1',
  menutext  => "&What's This",
  tooltip   => 'Show help for choosen item',
  whatsthis => '<img src="contexthelp"> Click this button to activate "What\'s This" context sensitive help.',
  slot      => 'help_whatsthis_slot',
  method    => sub {
    this->slot_process_line('WHATSTHIS');
  },
});

register_command({
  command => 'CONTEXTHELP',
  aliases => ['WHATSTHIS'],
  method  => sub { &Qt::MainWindow::whatsThis() },
});

###----------------------------------------------------------------###

1;
