use ExtUtils::MakeMaker;

###----------------------------------------------------------------###
#  Copyright 2003 - Paul Seamons                                     #
#  Distributed under the GNU General Public License without warranty #
###----------------------------------------------------------------###

WriteMakefile(
              NAME          => "perlcad",
              AUTHOR        => "Paul Seamons",
              ABSTRACT_FROM => "lib/PerlCAD/Main.pm",
              VERSION_FROM  => "lib/PerlCAD/Main.pm",
              INSTALLDIRS   => 'site',
              EXE_FILES     => ['bin/perlcad'],
              
              dist          => {
                DIST_DEFAULT => 'all tardist',
                COMPRESS     => 'gzip -vf',
                SUFFIX       => '.gz',
              },
              
              clean          => {
                FILES        => '*~',
              },
              
              realclean         => {
                FILES        => '*~',
              },
              );



#package MY;
#
#### prepare source for the icon
#sub top_targets {
#  my $t = '
#INST_ICO = share/icons/hicolor/32x32/apps
#INSTALLICO = $(PREFIX)/share/icons/hicolor/32x32/apps
#
#' . shift->SUPER::top_targets(@_) . '
#
#prep_ico :: $(INST_ICO)/.exists
#	cp img/perlcad_32x32.png  $(INST_ICO)/perlcad.png
#	-@$(CHMOD) $(PERM_RW) $(INST_ICO)/perlcad.png
#
#$(INST_ICO)/.exists :: /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h
#	@$(MKPATH) $(INST_ICO)
#	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h \
#$(INST_ICO)/.exists
#	-@$(CHMOD) $(PERM_RWX) $(INST_ICO)
#
#';
#
#  $t =~ s/^( pure_all \s*::\s+ (\w+\s+)* pm_to_blib )/$1 prep_ico/mx;
#
#  return $t;
#}
#
#### add icons to the install
#sub install {
#  my $t = shift->SUPER::install(@_);
#  my $exist = '$(INST_SCRIPT) $(INSTALLSCRIPT)';
#  my $new   = '$(INST_ICO) $(INSTALLICO)';
#  $t =~ s/^( \t\t \Q$exist\E \s+\\ )/$1\n\t\t$new \\/oxmg;
#
#  return $t;
#}

1;
