package PerlCAD::CommandState;

use strict;
use Qt;
use Qt::isa qw(Qt::Object);
use Qt::attributes qw(
  command,
  context,
  alias,
  option,

  default,
  save,

  requires,
  queue,

  is_multiple,
  is_transparent,
  is_cancelled,
  force_no_recurse,
  line_was_empty,
  use_dialog,
  previous_state,
  );

sub set_command {
  command = shift || '';
}

sub set_context {
  context = shift || '';
}

sub set_alias {
  alias = shift || '';
}

sub set_option {
  option = shift || '';
}


sub set_default {
  default = shift || undef;
}

sub set_save {
  save = shift || undef;
}

sub set_requires {
  requries = shift || undef;
}


sub set_is_transparent {
  is_transparent = shift || undef;
}

sub set_is_multiple {
  is_multiple = shift || undef;
}

sub set_is_cancelled {
  is_cancelled = shift || undef;
}

sub set_force_no_recurse {
  force_no_recurse = shift || undef;
}

sub set_line_was_empty {
  line_was_empty = shift || undef;
}

sub set_use_dialog {
  use_dialog = shift || undef;
}

sub set_previous_state {
  previous_state = shift || undef;
}

1;
